﻿using Infragistics.Controls.Schedules;
using System;
using System.ComponentModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGanttDoubleClickCase
{
  public class ProjectViewModel : ObservableModel
{
    public ProjectViewModel()
    {
        this._project = ProjectDataHelper.GenerateProjectData();
    }
 
    private Project _project;
    public Project Project
    {
        get
        {
            return this._project;
        }
        set
        {
            if (this._project != value)
            {
                this._project = value;
                this.NotifyPropertyChanged("Project");
            }
        }
    }
}
  public class ObservableModel : INotifyPropertyChanged
  {
      public event PropertyChangedEventHandler PropertyChanged;
      protected void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }
  }
}
